Target version:    

Resolution: Fixed Affected version:  

Description

Follows #8209.

This scriptlet returned new errors :

require 'psych'

parser = Psych::Parser.new

Dir.entries('config/locales').each do |filename|

  next if File.directory? filename

  puts "parsing #{filename}..." 

  parser.parse File.open('config/locales/' + filename)

end

 Patch attached based on your redmine-31 bitbucket mirror; beware, the updates on ja, zh and zh-TW locales are made "blindly"

(don't have the according fonts installed).

Related issues:

Related to Redmine - Feature #8209: I18n YAML files not parsable with psych y... Closed 2011-04-22

Related to Redmine - Feature #4050: Ruby 1.9 support Closed 2009-10-18

Related to Redmine - Patch #35026: Remove rake task check_parsing_by_psych Closed

Associated revisions

Revision 6462 - 2011-08-19 12:18 - Toshi MARUYAMA

Ruby 1.9: force use syck yaml library (#8847, #4050).

Revision 6643 - 2011-08-26 15:06 - Toshi MARUYAMA

Ruby 1.9: fix parsing error en.yml with psych yaml library (#8847).

Revision 6644 - 2011-08-26 15:07 - Toshi MARUYAMA

Ruby 1.9: fix parsing error fr.yml with psych yaml library (#8847).

It seems that double quote and escape is need for non ASCII and backslash

on ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux].

Contributed by Etienne Massip.

Revision 6647 - 2011-08-27 02:11 - Toshi MARUYAMA

Ruby 1.9: add rake task to check parsing yaml by psych library (#8847, #4050).

Original code is written by Etienne Massip.

Revision 6649 - 2011-08-27 02:18 - Toshi MARUYAMA

Ruby 1.9: fix typo of rake task name to check parsing yaml by psych library (#8847, #4050).
Revision 6650 - 2011-08-27 04:08 - Toshi MARUYAMA

Ruby 1.9: fix parsing error of pt-BR.yml with psych yaml library (#8847).

It seems that double quote and escape is need for non ASCII and backslash

on ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux].

Contributed by Etienne Massip.

Revision 6687 - 2011-08-28 08:12 - Toshi MARUYAMA

Ruby 1.9: fix parsing error of hu.yml with psych yaml library (#8847).

Revision 6689 - 2011-08-28 08:13 - Toshi MARUYAMA

Ruby 1.9: fix parsing error of ja.yml with psych yaml library (#8847).

Contributed by Etienne Massip.

Revision 6698 - 2011-08-28 12:08 - Toshi MARUYAMA

Ruby 1.9: fix parsing error of zh.yml with psych yaml library (#8847).

Contributed by Etienne Massip.

Revision 6700 - 2011-08-28 12:09 - Toshi MARUYAMA

Ruby 1.9: fix parsing error of zh.yml with psych yaml library (#8847).

Revision 7794 - 2011-11-13 05:17 - Toshi MARUYAMA

Ruby 1.9: fix parsing error of sl.yml with psych yaml library (#8847)

History

#1 - 2011-07-19 14:33 - Toshi MARUYAMA

I have known this problem.

https://www.chiliproject.org/issues/503

Should we change all i18n yaml?

#2 - 2011-07-19 14:35 - Etienne Massip

What do you mean by "all i18n yaml" ?

#3 - 2011-07-19 14:40 - Etienne Massip

All the changes included in the patch are necessary, if this is your question ?

#4 - 2011-07-19 14:44 - Toshi MARUYAMA

Chiliproject replaced '\' to '\\' in only en.yml and pt-BR.yml.

https://www.chiliproject.org/projects/chiliproject/repository/revisions/f41dac1b6b593890c8a6fde2b72d87c5c51fd321

Should we change all *.yml at source:trunk/config/locales ?

#5 - 2011-07-19 15:01 - Etienne Massip

- File deleted (locales_YAML_parsing_errors_fix.patch)

#6 - 2011-07-19 15:02 - Etienne Massip

- File locales_YAML_parsing_errors_fix.patch added

Yes, that is : en, fr, ja, pt-BR, zh and zh-TW.

Was a glitch in my previous patch, here's a patch based on trunk.

#7 - 2011-07-19 15:03 - Etienne Massip

I don't know why they missed the other files...

#8 - 2012-09-03 19:12 - Etienne Massip

- Status changed from New to Closed

2025-05-17 2/3

https://www.chiliproject.org/issues/503
https://www.chiliproject.org/projects/chiliproject/repository/revisions/f41dac1b6b593890c8a6fde2b72d87c5c51fd321
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/locales


- Target version deleted (Candidate for next minor release)

- Resolution set to Fixed

#9 - 2021-04-05 02:40 - Go MAEDA

- Related to Patch #35026: Remove rake task check_parsing_by_psych added

Files

locales_YAML_parsing_errors_fix.patch 5.16 KB 2011-07-19 Etienne Massip
